`--all` would make git-annex operate on either every key with content
present (or in some cases like `get` and `copy --from` on 
every keys with content not present).

This would be useful when a repository has a history with deleted files
whose content you want to keep (so you're not using `dropunused`).
Or when you have a lot of branches and just want to be able to fsck
every file referenced in any branch (or indeed, any file referenced in any
ref). It could also be useful (or even a
good default) in a bare repository.

A problem with the idea is that `.gitattributes` values for keys not
currently in the tree would not be available (without horrific anounts of
grubbing thru history to find where/when the key used to exist). So
`numcopies` set via `.gitattributes` would not work. This would be a
particular problem for `drop` and for `--auto`.

--[[Joey]]
